%define version 0.1.2
%define release 1
%define name smeserver-expire-accounts


Summary: Second qmail instance
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/System
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRequires: gettext

Requires: e-smith-base >= 5.2.0
Requires: qmail
Requires: qmail-autoresponder
Requires: perl(DateTime)
Requires: pbzip2
Requires: /bin/tar

%description
With this, you can set an expiration date for user accounts

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
/sbin/e-smith/generate-lexicons
%{__mkdir_p} root/home/e-smith/files/archives/users
%if 0%{?rhel} <= 5
%{__mkdir_p} root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/
mv root/usr/share/perl5/vendor_perl/esmith/FormMagick/Panel/expireaccounts.pm \
  root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/
%endif

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /home/e-smith/files/archives 'attr(0750,root,root)' \
  > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre

%post

%preun

%changelog
* Mon Apr 11 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.2-1.sme
- Only list expired accounts in the inactive accounts table

* Mon Apr 4 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.1-1.sme
- Fix permissions on /home/e-smith/files/archives

* Wed Mar 30 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.1.0-1.sme
- Initial release
